Canalplan Bug Tracker



Anonymous Login
2019-04-22 01:01 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000375Canalplan [All Projects] Bugpublic2019-04-18 13:19
ReporterShultzy 
Assigned ToNick Atty 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformMicrosoftOSWindowsOS Version8.1
Product VersionProduct Build 
Target VersionFixed in Version 
Summary0000375: Towpath Access Edit not Working
DescriptionThe "There may be access to the towpath here. Confirm or change this" is not working, see [Annis Lee Bridge No 9]
TagsNo tags attached.
Attach Tags (Separate by ",")
Attached Files

-Relationships
+Relationships

-Notes

~0001460

Nick Atty (administrator)

That's odd. It's working fine on the development machine - it's waiting for you to acknowledge the message as well.

Looks like some file hasn't updated properly.

~0001461

Nick Atty (administrator)

But actually, looking at it, it changed it to "suitable for wheels" for me - I had to refresh again, but it's now saying that.

Can you check that it really isn't making the changes you think it should be, rather than it's not waiting for the change before redisplaying.

~0001463

Shultzy (updater)

I've just tried it and although it works through the [Edit and change] menu option it doesn't work through the blue "Confirm or change this" drop down menu on the [Place] page. I did wait over 5 mins before rechecking. Tried "suitable for wheels" on [High Footbridge] at 11:18 today.

~0001465

Nick Atty (administrator)

There are two bugs here:
a) changing it to "no access" fails
b) the display and refresh doesn't work always work - there's a nasty asynch race condition.

But this isn't what you are seeing - I just set that footbridge access to "via steps" and on refreshing the page it was there.

I'll fix the known bugs and see if yours goes away as well!

~0001474

Nick Atty (administrator)

This is now working for me - two bugs fixed. But I think you've been seeing slightly different symptoms, so I'm leaving it open until you've tested it.

~0002337

Nick Atty (administrator)

No further problems reported in over a year.
+Notes

-Issue History
Date Modified Username Field Change
2018-01-06 23:42 Shultzy New Issue
2018-01-08 07:07 Nick Atty Note Added: 0001460
2018-01-08 07:08 Nick Atty Note Added: 0001461
2018-01-08 11:20 Shultzy Note Added: 0001463
2018-01-10 07:56 Nick Atty Note Added: 0001465
2018-01-10 22:33 user3 Assigned To => Nick Atty
2018-01-10 22:33 user3 Status new => assigned
2018-01-13 10:37 Nick Atty Note Added: 0001474
2019-04-18 13:19 Nick Atty Status assigned => resolved
2019-04-18 13:19 Nick Atty Resolution open => fixed
2019-04-18 13:19 Nick Atty Note Added: 0002337
+Issue History